{
  self,
  ...
}:

{
  imports = [
    ../modules/core.nix
    ../modules/core-desktop.nix
    ../modules/account.nix
    ../modules/adb.nix
    ../modules/locale.nix
    ../modules/shell.nix
    ../modules/gnupg.nix
    ../modules/polkit/network.nix

    ../modules/desktopManagers/cosmic.nix
    ../modules/displayManagers/cosmic-greeter.nix
    ../modules/udev.nix
  ];

  config = {
    boot.loader.systemd-boot.enable = true;
    boot.loader.efi.canTouchEfiVariables = true;

    networking.hostName = "wroclaw-hp";
    networking.networkmanager.enable = true;
    networking.firewall.enable = true;
    hardware.sensor.iio.enable = true;

    nixpkgs.overlays = [
      self.overlays.cosmicPackages
    ];

    networking.firewall.allowedTCPPortRanges = [
      # KDE Connect
      rec { from = 1714; to = from + 50; }
    ];

    networking.firewall.allowedUDPPortRanges = [
      # KDE Connect
      rec { from = 1714; to = from + 50; }
    ];

    services.logind = {
      powerKey = "suspend";
      powerKeyLongPress = "poweroff";
      suspendKey = "suspend-then-hibernate";
      suspendKeyLongPress = "hibernate";
      lidSwitch = "lock";
      lidSwitchDocked = "ignore";
      lidSwitchExternalPower = "lock";
    };

    nixpkgs.hostPlatform = "x86_64-linux";

    system.stateVersion = "24.11";
  };
}

